Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.util
Class ImageUtils

    java.lang.Object
      org.apache.poi.ss.util.ImageUtils

    public class ImageUtils

extends java.lang.Object

Author:
  Yegor Kozlov

Field Summary
`static int` | `PIXEL_DPI`

Constructor Summary
`ImageUtils()`

Method Summary
`static java.awt.Dimension` | `getImageDimension(java.io.InputStream is, int type)` Return the dimension of this image
`static int[]` | `getResolution(javax.imageio.ImageReader r)` The metadata of PNG and JPEG can contain the width of a pixel in millimeters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIXEL_DPI

    public static final int PIXEL_DPI

See Also:
  Constant Field Values

Constructor Detail

### ImageUtils

    public ImageUtils()

Method Detail

### getImageDimension

    public static java.awt.Dimension getImageDimension(java.io.InputStream is,
                                                       int type)

  Return the dimension of this image

  Parameters:
    `is` - the stream containing the image data
    `type` - type of the picture: `Workbook.PICTURE_TYPE_JPEG`, `Workbook.PICTURE_TYPE_PNG` or `Workbook.PICTURE_TYPE_DIB`
  Returns:
    image dimension in pixels

### getResolution

    public static int[] getResolution(javax.imageio.ImageReader r)
                               throws java.io.IOException

  The metadata of PNG and JPEG can contain the width of a pixel in millimeters. Return the the "effective" dpi calculated as `25.4/HorizontalPixelSize` and `25.4/VerticalPixelSize`. Where 25.4 is the number of mm in inch.

  Returns:
    array of two elements: `{horisontalPdi, verticalDpi}`. {96, 96} is the default.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.